---
title: RTCIceTransport.getRemoteParameters()
slug: Web/API/RTCIceTransport/getRemoteParameters
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceTransport")}}</strong> method <code><strong>getRemoteParameters()</strong></code> returns an {{domxref("RTCIceParameters")}} object which provides information uniquely identifying the remote peer for the duration of the ICE session.</span></p>

<p>The remote peer's parameters are received during ICE signaling and delivered to the transport when the client calls {{domxref("RTCPeerConnection.setRemoteDescription()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>parameters</em> = <em>RTCIceTransport</em>.getRemoteParameters();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("RTCIceParameters")}} object indicating the {{domxref("RTCIceParameters.usernameFragment", "usernameFragment")}} and {{domxref("RTCIceParameters.password", "password")}} which uniquely identify the remote peer for the duration of the ICE session.</p>

<p>Returns <code>null</code> if the parameters haven't been received yet.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicetransport-getremoteparameters', 'RTCIceTransport.getRemoteParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceTransport.getRemoteParameters")}}</p>
